<?php 
$bt="404- no found";
include("../head.php");
include("../conn.php");
include_once("../function.php");
$sid = sqlstr($_COOKIE['dl']);
$uin=mysql_fetch_array(mysql_query("select * from user where sid='$sid'"));
$id=$uin['id'];

if($id!=1){
echo "404 - no found";
exit;
}

$text=htmlspecialchars($_POST["wentxt"]);
$txt=sqlstr(nl2br($text));


$uptypes=array('image/jpg', 'image/jpeg', 'image/png', 'image/pjpeg', 'image/gif', 'image/bmp', 'image/x-png'); //允许上传格式
$max_file_size=5000000; //上传文件大小限制, 单位BYTE 
$destination_folder="../../image/wen/"; //上传文件路径 
$imgpreview=1; //是否生成预览图(1为生成,其他为不生成); 
$imgpreviewsize=1/2; //缩略图比例 
$file = $_FILES["file"]; 

if(!is_uploaded_file($_FILES["file"]['tmp_name'])) //是否存在文件 
{ 
echo '<br/><div id="main">你确定上传图片了吗？我怎么没有接收到呢？<a href="add.php">返回>></a></div><br/>';
}elseif($max_file_size < $file["size"]) 
//检查文件大小 
{ 
echo '<br/><div id="main">你上传的图片太大了吧，不是说好5MB以内吗。<a href="add.php">返回>></a></div><br>'; 
}elseif(!in_array($file["type"], $uptypes)) 
//检查文件类型 
{ 
echo '<br/><div id="main">你上传的不是图片吧？如果你上传真的是一张图片而被系统误会请联系我们。<a href="add.php">返回重试>></a></div><br>'; 
}else{

if(!file_exists($destination_folder)) 
mkdir($destination_folder); 
$filename=$file["tmp_name"]; 
$image_size = getimagesize($filename); 
$pinfo=pathinfo($file["name"]); 
$ftype=$pinfo['extension']; 
$zname=time().".".$ftype;
$destination = $destination_folder.$zname;
if (file_exists($destination) && $overwrite != true) 
{ 
echo '<br/><div id="main">已经有一张相同名字的图片了~<a href="add.php">返回>></a></div><br/>';
} elseif(!move_uploaded_file ($filename, $destination)){ 

echo '<br/><div id="main">sorry，因为一些原因，图片保存失败了。重试一下？<a href="add.php">返回>></a></div><br/>';
}else{

$pinfo=pathinfo($destination); 
$fname=$pinfo['basename']; 
echo '<div id="main">图片上传成功<br/>';
$imgurl='/image/wen/'.$zname;

if($txt==Null){
echo '<br/><font color="red">很无语啊：</font><br/>你还是个管理员，什么都不写，你想表达什么呢？写一点吧。<br/><a href="addwen.php">返回</a><br/><br/>';
}else{
mysql_query("INSERT INTO wen(wentxt,img) VALUES ('$txt','$imgurl')");
echo '<div id="main"><br/><font color="red">发布成功了~</font><br/>成功了<br/><a href="adm.php">返回管理页</a> | <a href="index.php">返回首页</a> <br/><br/></div>';
}
}

}




?>

<div id="libbottom" class="ll"><a href="../out.php">登出</a> | <a href="../about.php">关于印象</a><br />浏览：<a href="/">桌面版(开发中)</a><br /><?php echo $showtime=date("m月d日 H:i:s");?><br />© 2013 一线印象</div>






